Guía del usuario

# Índice

Los atributos y las consultas son características clave de Haiku. Mientras los atributos son útiles por propia cuenta, para desplegar información adicional en un archivo, para realizar una consulta sobre ellos se necesitan indexar. Ello los coloca dentro de una tabla de búsqueda, haciendo que las búsquedas sean rápidas como el rayo.
Los índices son parte del sistema de archivos y se almacenan para cada volumen/partición separadamente.

## Indexar comandos en la Terminal

Hay varias comandos para administrar los índices:

- lsindex - Despliega los atributos indexados en el volumen/partición actual.
  Estos son los atributos que se indexan predeterminadamente:

     ~ ->lsindex
    BEOS:APP_SIG
    MAIL:account
    MAIL:cc
    MAIL:chain
    MAIL:draft
    MAIL:flags
    MAIL:from
    MAIL:name
    MAIL:pending_chain
    MAIL:priority
    MAIL:reply
    MAIL:status
    MAIL:subject
    MAIL:thread
    MAIL:to
    MAIL:when
    META:address
    META:city
    META:company
    META:country
    META:email
    META:fax
    META:group
    META:hphone
    META:name
    META:nickname
    META:state
    META:url
    META:wphone
    META:zip
    _signature
    _status
    _trk/qrylastchange
    _trk/recentQuery
    be:deskbar_item_status
    last_modified
    name
    size

- mkindex - Agrega un atributo al índice de un volumen/partición.

    Usage: mkindex [options] <attribute>
    Creates a new index for the specified attribute.

      -d, --volume=PATH     a path on the volume to which the index will be added,
                            defaults to current volume.
      -t, --type=TYPE       the type of the attribute being indexed.  One of "int",
                            "llong", "string", "float", or "double".
                            Defaults to "string".
          --copy-from       path to volume to copy the indexes from.
      -v, --verbose         print information about the index being created

¡Únicamente los archivos nuevos con ese atributo automáticamente llegan al índice!
Existing files have to be added manually by copying them and deleting the originals after that. Alternatively you can use the command reindex.

- reindex - Pone los atributos de archivos existentes dentro del índice recientemente creado de un volumen/partición.

    Usage: reindex [-rvf] attr <list of filenames and/or directories>
      -r    enter directories recursively
      -v    verbose output
      -f    create/update all indices from the source volume,
            "attr" is the path to the source volume

- rmindex - Remueve un atributo del índice de un volumen/partición.

    Usage: rmindex [OPTION]... INDEX_NAME

    Removes the index named INDEX_NAME from a disk volume.  Once this has been
    done, it will no longer be possible to use the query system to search for
    files with the INDEX_NAME attribute.

      -d, --volume=PATH     a path on the volume from which the index will be
                             removed
      -h, --help            display this help and exit
      -p, --pattern         INDEX_NAME is a pattern
      -v, --verbose         print information about the index being removed

    INDEX_NAME is the name of a file attribute.

    If no volume is specified, the volume of the current directory is assumed.